Walletguide
DevelopersAPIReferencetags

Create tag

Create a tag with the Walletguide REST API. Parameters, response fields, and a playground you can run.

POST
/wallets/{walletId}/tags

Authorization

bearerAuth
headerAuthorization<token>

A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.

Path Parameters

walletId*string

Row uuid

Formatuuid

Request Body

application/json
  1. body
name*string
Length1 <= length

Response Body

The created tag

application/json
  1. response
id*string
Formatuuid
walletId*string
Formatuuid
firestoreId*string|null
name*string
createdTime*|
Formatdate-time
createdUserId*string|null
lastUpdatedTime*|
Formatdate-time
lastUpdatedUserId*string|null
Example Request
curl -X POST 'https://api.walletguide.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/tags' \  -H 'Content-Type: application/json' \  -d '{  "name": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480",  "firestoreId": "string",  "name": "string",  "createdTime": "2019-08-24T14:15:22Z",  "createdUserId": "string",  "lastUpdatedTime": "2019-08-24T14:15:22Z",  "lastUpdatedUserId": "string"}